# IAX2IeEncKey Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeEncKey:

List of all members.

## Public Member Functions

| IAX2IeEncKey (BYTE length, BYTE *srcData)
void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)

## Detailed Description

An Information Element that contains the encryption key (raw)

## Constructor & Destructor Documentation

IAX2IeEncKey::IAX2IeEncKey | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

## Member Function Documentation

void IAX2IeEncKey::PrintOn | ( | ostream & | str | ) | const

print this class (nicely) to the designated stream

Reimplemented from IAX2IeString.

virtual BYTE IAX2IeEncKey::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

virtual void IAX2IeEncKey::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h